reSIProcate
SIP stack, Dialog Usage Manager and related libraries
Loading...
Searching...
No Matches
resip::Uri Member List

This is the complete list of members for resip::Uri, including all inherited members.

addParameter(Parameter *param)resip::ParserCategoryprotected
addParameter(UnknownParameter *unknownParam)resip::ParserCategoryprotected
aorEqual(const Uri &rhs) constresip::Uri
checkParsed() constresip::LazyParserinline
checkParsed()resip::LazyParserinline
clearUnknownParameters()resip::ParserCategory
clone() constresip::Urivirtual
clone(void *location) constresip::Urivirtual
clone(PoolBase *pool) constresip::Urivirtual
CommaHandlingMode enum nameresip::ParserCategory
CommasAllowedOutputCommas enum valueresip::ParserCategory
CommasAllowedOutputMulti enum valueresip::ParserCategory
commutativeParameterHash() constresip::ParserCategory
compareUriParametersEqual(Parameter *param1, Parameter *param2)resip::Uristatic
compareUriParametersLessThan(Parameter *param1, Parameter *param2)resip::Uristatic
createParam(ParameterTypes::Type type, ParseBuffer &pb, const std::bitset< 256 > &terminators, PoolBase *pool)resip::Urivirtual
defineParam(ob,"ob", ExistsParameter,"RFC 5626")resip::Uri
defineParam(gr, "gr", ExistsOrDataParameter, "RFC 5627")resip::Uri
defineParam(comp, "comp", DataParameter, "RFC 3486")resip::Uri
defineParam(duration, "duration", UInt32Parameter, "RFC 4240")resip::Uri
defineParam(lr, "lr", ExistsParameter, "RFC 3261")resip::Uri
defineParam(maddr, "maddr", DataParameter, "RFC 3261")resip::Uri
defineParam(method, "method", DataParameter, "RFC 3261")resip::Uri
defineParam(transport, "transport", DataParameter, "RFC 3261")resip::Uri
defineParam(ttl, "ttl", UInt32Parameter, "RFC 3261")resip::Uri
defineParam(user, "user", DataParameter, "RFC 3261, 4967")resip::Uri
defineParam(extension, "ext", DataParameter, "RFC 3966")resip::Uri
defineParam(sigcompId, "sigcomp-id", QuotedDataParameter, "RFC 5049")resip::Uri
defineParam(rinstance, "rinstance", DataParameter, "proprietary (resip)")resip::Uri
defineParam(addTransport, "addTransport", ExistsParameter, "RESIP INTERNAL")resip::Uri
defineParam(wsSrcIp, "ws-src-ip", DataParameter, "RESIP INTERNAL (WebSocket)")resip::Uri
defineParam(wsSrcPort, "ws-src-port", UInt32Parameter, "RESIP INTERNAL (WebSocket)")resip::Uri
doParse() constresip::LazyParser
embedded()resip::Uri
embedded() constresip::Uri
EmptyParameterTypeSetresip::ParserCategorystatic
encode(EncodeStream &str) constresip::LazyParser
encodeEmbeddedHeaders(EncodeStream &str) constresip::Uri
encodeParameters(EncodeStream &str) constresip::ParserCategory
encodeParsed(EncodeStream &str) constresip::Urivirtual
EncodingTable typedefresip::Uri
errorContext() constresip::ParserCategoryprotectedvirtual
exists(const Param< Uri > &paramType) constresip::Uri
exists(const ParamBase &paramType) constresip::Uriinline
exists(const ExtensionParameter &param) constresip::Uri
freeParameter(Parameter *p)resip::ParserCategoryinlineprotected
fromTel(const Uri &, const Uri &hostUri)resip::Uristatic
getAor() constresip::Uri
getAOR(bool addPort) constresip::Uri
getAorAsUri(TransportType transportTypeToRemoveDefaultPort=UNKNOWN_TRANSPORT) constresip::Uri
getAorInternal(bool dropScheme, bool addPort, Data &aor) constresip::Uriprotected
getAorNoPort() constresip::Uri
getAorNoReally() constresip::Uriinline
getEnumLookups(const std::vector< Data > &suffixes) constresip::Uri
getGlobalNumberTable()resip::Uriinlinestatic
getHeaderField()resip::LazyParserinline
getLocalNumberTable()resip::Uriinlinestatic
getParameterByData(const Data &data) constresip::ParserCategoryprotected
getParameterByEnum(ParameterTypes::Type type) constresip::ParserCategory
getPasswordEncodingTable()resip::Uriinlinestatic
getPool()resip::ParserCategoryinlineprotected
getUrnEncodingTable()resip::Uriinlinestatic
getUserAsTelephoneSubscriber() constresip::Uri
getUserEncodingTable()resip::Uriinlinestatic
hasEmbedded() constresip::Uri
host()resip::Uriinline
host() constresip::Uriinline
isEnumSearchable() constresip::Uri
isParsed() constresip::LazyParserinline
isSignificantUriParameter(const ParameterTypes::Type type) noexceptresip::Uristatic
isUserRelevant() constresip::Uri
isWellFormed() constresip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue)resip::LazyParserexplicit
LazyParser(const char *buf, int length)resip::LazyParser
LazyParser(const HeaderFieldValue &headerFieldValue, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser(const LazyParser &rhs)resip::LazyParser
LazyParser(const LazyParser &rhs, HeaderFieldValue::CopyPaddingEnum e)resip::LazyParser
LazyParser()resip::LazyParserprotected
markDirty() constresip::LazyParserinline
mCanonicalHostresip::Urimutableprotected
mHeaderTyperesip::ParserCategoryprotected
mHostresip::Uriprotected
mHostCanonicalizedresip::Urimutableprotected
mIsBareAddrSpecresip::Uriprotected
mIsBetweenAngleQuotesresip::Uriprotected
mNetNsresip::Uriprotected
mParametersresip::ParserCategoryprotected
mPasswordresip::Uriprotected
mPathresip::Uriprotected
mPoolresip::ParserCategoryprotected
mPortresip::Uriprotected
mSchemeresip::Uriprotected
mUnknownParametersresip::ParserCategoryprotected
mUserresip::Uriprotected
mUserParametersresip::Uriprotected
netNs()resip::Uriinline
netNs() constresip::Uriinline
NoCommaTokenizing enum valueresip::ParserCategory
numKnownParams() constresip::ParserCategoryinline
numUnknownParams() constresip::ParserCategoryinline
opaque()resip::Uriinline
opaque() constresip::Uriinline
operator!=(const Uri &other) constresip::Uri
operator<(const Uri &other) constresip::Uri
operator=(const Uri &rhs)resip::Uri
resip::ParserCategory::operator=(const ParserCategory &rhs)resip::ParserCategory
resip::LazyParser::operator=(const LazyParser &rhs)resip::LazyParser
operator==(const Uri &other) constresip::Uri
param(const ExtensionParameter &param) constresip::Uri
param(const ExtensionParameter &param)resip::Uri
ParameterList typedefresip::ParserCategoryprotected
ParameterTypeSet typedefresip::ParserCategory
parse(ParseBuffer &pb)resip::Urivirtual
parseEmbeddedHeaders(ParseBuffer &pb)resip::Uri
parseParameters(ParseBuffer &pb)resip::ParserCategory
ParserCategory(const HeaderFieldValue &headerFieldValue, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const char *buf, int length, Headers::Type type, PoolBase *pool=0)resip::ParserCategory
ParserCategory(const ParserCategory &rhs, PoolBase *pool=0)resip::ParserCategory
ParserCategory(PoolBase *pool=0)resip::ParserCategoryprotected
password()resip::Uriinline
password() constresip::Uriinline
path()resip::Uriinline
path() constresip::Uriinline
port()resip::Uriinline
port() constresip::Uriinline
remove(const Param< Uri > &paramType)resip::Uri
remove(const ParamBase &paramType)resip::Uri
remove(const ExtensionParameter &param)resip::Uri
removeEmbedded()resip::Uri
removeParameterByData(const Data &data)resip::ParserCategoryprotected
removeParameterByEnum(ParameterTypes::Type type)resip::ParserCategory
removeParametersExcept(const ParameterTypeSet &set=EmptyParameterTypeSet)resip::ParserCategory
RESIP_HeapCount(Uri)resip::Uri
scheme()resip::Uriinline
scheme() constresip::Uriinline
setIsBareAddrSpec(bool value)resip::Uriinline
setIsBetweenAngleQuotes(bool value)resip::Uriinline
setParameter(const Parameter *parameter)resip::ParserCategory
setUriPasswordEncoding(unsigned char c, bool encode)resip::Uristatic
setUriUrnEncoding(unsigned char c, bool encode)resip::Uristatic
setUriUserEncoding(unsigned char c, bool encode)resip::Uristatic
setUserAsTelephoneSubscriber(const Token &telephoneSubscriber)resip::Uri
toString() constresip::Uri
UnknownParserCategory enum valueresip::ParserCategory
Uri(PoolBase *pool=0)resip::Uri
Uri(const HeaderFieldValue &hfv, Headers::Type type, PoolBase *pool=0)resip::Uri
Uri(const Uri &orig, PoolBase *pool=0)resip::Uri
Uri(const Data &data)resip::Uriexplicit
uriEncodingTableSizeresip::Uristatic
user()resip::Uriinline
user() constresip::Uriinline
userIsTelephoneSubscriber() constresip::Uri
userParameters()resip::Uriinline
userParameters() constresip::Uriinline
~LazyParser()resip::LazyParservirtual
~ParserCategory()resip::ParserCategoryvirtual
~Uri()resip::Uri